Subscription
Update subscription
Updates a subscription.
AuthorizationBearer <token>
API authentication is performed via Bearer auth using the secret key as the bearer token. The secret key is a critical key that allows all API operations, so handle it with care.
In: header
Path Parameters
subscriptionId*string
Subscription ID
Request Body
application/json;charset=utf-8
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json;charset=utf-8
curl -X POST "https://api.elepay.io/subscriptions/string" \ -H "Content-Type: application/json;charset=utf-8" \ -d ''{
"id": "string",
"appId": "string",
"object": "subscription",
"liveMode": true,
"customerId": "string",
"customer": {
"id": "string",
"object": "customer",
"liveMode": true,
"defaultSource": "string",
"name": "string",
"description": "string",
"email": "string",
"phone": "string",
"remark": "string",
"operator": "string",
"status": "active",
"metadata": {
"property1": "string",
"property2": "string"
},
"updateTime": 0
},
"nextChargeTime": 0,
"isCharging": true,
"chargedPeriods": 0,
"metadata": {
"property1": "string",
"property2": "string"
},
"status": "new",
"createTime": 0,
"updateTime": 0
}